<!DOCTYPE HTML>
<html lang="es">
    <head th:replace="frags/head_detail"></head>
    <body>
        <div th:replace="frags/header"></div>
        <section class="section-content bg padding-y-sm">
            <div class="container">
                <div th:replace="frags/breadcrumb_product"></div>
                <div class="p5"><!--separator--></div>

                <div class="row" th:if="${item == null}">
                    <div class="col-12">
                        <div class="alert alert-info">
                            <h4 class="text-muted" th:text="#{product.not.found}">No se encontró el producto o no está habilitado para el país...</h4>
                        </div>
                    </div>
                </div>

                <div class="row" th:if="${item != null}">
                    <div class="col-12" th:object="${item}">
                        <input type="hidden" th:value="*{id}" id="itemId">
                        <main class="card">
                            <div class="row no-gutters">
                                <aside class="col-sm-6 border-right">
                                    <article class="gallery-wrap"> 
                                        <div class="img-big-wrap">
                                            <div>
                                                <a th:href="*{image}" data-fancybox="gallery">
                                                    <img th:src="*{image}" class="img-fluid  padding-20" onerror="this.src='/images/no_logo.png'">
                                                </a>
                                            </div>
                                        </div>
                                        <div class="img-small-wrap">
                                            <div class="item-gallery" th:each="image : *{images}">
                                                <a th:href="${image}" data-fancybox="gallery">
                                                    <img th:src="${image}" class="img-fluid">
                                                </a>
                                            </div>
                                        </div> 
                                    </article>
                                </aside>
                                <aside class="col-sm-6">
                                    <article class="card-body">
                                        <h3 class="title mb-3" th:text="*{title}"></h3>
                                        <div class="mb-3"> 
                                            <var class="price h3 text-warning"> 
                                                <span class="num" th:text="${item.priceString}"></span>
                                            </var> 
                                        </div>
                                        <dl>
                                            <dd><p th:utext="*{description}"></p></dd>
                                        </dl>
                                        <div class="row" th:each="attribute : *{attributes}" th:object="${attribute}">
                                            <label class="col-sm-3 font-weight-bold" th:text="*{title}"></label>
                                            <label class="col-sm-9" th:text="*{value}"></label>
                                        </div>
                                        <hr>
                                        <div class="row">
                                        </div>
                                        <a class="btn btn-warning" id="addItem"> <i class="fa fa-shopping-cart"></i> <span th:text="#{cart.add}">Añadir al carrito</span></a>
                                    </article>
                                </aside>
                            </div>
                        </main>
                    </div>
                    <div th:replace="frags/related"></div>
                </div>
                
            </div>
        </section>
        <div th:replace="frags/footer"></div>
        <div th:replace="frags/scripts_detail"></div>
    </body>
</html>
